import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import AboutView from '../views/AboutView.vue'
import Details from '../views/Details.vue' 
import Gis from '../views/Gis.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/home',
    name: 'homeview',
    component: HomeView,
  },{
    path:'/about',
    name:'aboutview',
    component:AboutView,
  },{
    path:'/details',
    name:'details',
    component:Details,
  },{
    path:'/gis',
    name:'gis',
    component:Gis,
  }
]

const router = new VueRouter({
  mode: 'history',
  base: '/sc-oa',
  routes
})

console.log(router);


export default router
